/**
* LDV Generator
*
* NOTICE OF LICENSE
*
* This product is licensed for one customer to use on one installation (test stores and multishop included).
* Site developer has the right to modify this module to suit their needs, but can not redistribute the module in
* whole or in part. Any other use of this module constitues a violation of the user agreement.
*
* DISCLAIMER
*
* NO WARRANTIES OF DATA SAFETY OR MODULE SECURITY
* ARE EXPRESSED OR IMPLIED. USE THIS MODULE IN ACCORDANCE
* WITH YOUR MERCHANT AGREEMENT, KNOWING THAT VIOLATIONS OF
* PCI COMPLIANCY OR A DATA BREACH CAN COST THOUSANDS OF DOLLARS
* IN FINES AND DAMAGE A STORES REPUTATION. USE AT YOUR OWN RISK.
*
*  @author    maipiusenza
*  @copyright 2016 maipiusenza
*  @license   See above
*
*/
var txtCorr = "";
var txtInvio = "";
var txtSent1 = "";
var txtSent2 = "";
var txtError1 = "";
var txtError2 = "";

var flashvars = "";

var socket;

var LDVcorriereScelto = getCookie("LDV_corriere");
//alert (LDVcorriereScelto);//ok

function SendVars () {
	socket = new WebSocket("ws://127.0.0.1:8087");
	
	socket.onopen = onOpen;
	socket.onclose = onClose;
	socket.onerror = onError;
	socket.onmessage = onMessage;
	
	// mando le var solo al onOpen
		var LDVmyNode = document.getElementById("LDVstatus");
		while (LDVmyNode.firstChild) {
			LDVmyNode.removeChild(LDVmyNode.firstChild);
		}
		document.getElementById("LDVstatus").appendChild(document.createTextNode(txtInvio)) ;

}
var onOpen = function() {
        console.log("Socket opened.");
		socket.send("PS_corr="+LDVcorriereScelto+"&"+flashvars);
    },
    onClose = function() {
        console.log("Socket closed.");
    },
    onMessage = function(data) {
        console.log("We get signal:");
        console.log(data);
		var LDVmyNode = document.getElementById("LDVstatus");
		while (LDVmyNode.firstChild) {
			LDVmyNode.removeChild(LDVmyNode.firstChild);
		}
		document.getElementById("LDVstatus").appendChild(document.createTextNode(txtSent1)) ;
		document.getElementById("LDVstatus").appendChild(document.createElement("br"));
		document.getElementById("LDVstatus").appendChild(document.createTextNode(txtSent2)) ;
		// chiudo la connessione a conferma ricevuta solo se NON sono su FF
		//console.log("InstallTrigger: "+typeof InstallTrigger);
		if (typeof InstallTrigger === 'undefined') {
			socket.close();// da errore su FF dopo tot secondi
		}

		
   },
    onError = function() {
        console.log("We got an error.");
		
		var LDVmyNode = document.getElementById("LDVstatus");
		while (LDVmyNode.firstChild) {
			LDVmyNode.removeChild(LDVmyNode.firstChild);
		}
		document.getElementById("LDVstatus").appendChild(document.createTextNode(txtError1));
		document.getElementById("LDVstatus").appendChild(document.createElement("br"));
		document.getElementById("LDVstatus").appendChild(document.createTextNode(txtError2));
		
    }
	
	
	
var d = new Date();

d.setFullYear(d.getFullYear()+10,11,31);

function getCookie(cname) {
	//alert("getCookie:"+document.cookie);
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for(var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
            c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
		//alert(c.substring(name.length, c.length)); //ok
            return c.substring(name.length, c.length);
        }
    }
    return "";
}

var LDV_listaPulsanti = ["EBOOST", "GLS", "SDA", "BRT", "SW", "JOL"];
var LDV_listaPulsantiLong = ["eBoost", "GLS", "SDA", "BRT", "SpedireWeb", "Jolly"];

function setCookie(cname) {
	//alert(cname+"!!!");
	document.cookie = "LDV_corriere="+cname+"; expires="+d.toString()+"; path=/";
	LDVcorriereScelto = cname;
	var LDVmyNode = document.getElementById("LDV_fascia");
	while (LDVmyNode.firstChild) {
		LDVmyNode.removeChild(LDVmyNode.firstChild);
	}
	// spengo tutti i pusanti
	for (var a=0; a< LDV_listaPulsanti.length; a++) {
		document.getElementById(LDV_listaPulsanti[a]).setAttribute("class", "LDV_spento");
		//attivo la scritta
		if (cname==LDV_listaPulsanti[a]){
			document.getElementById("LDV_fascia").appendChild(document.createTextNode(txtCorr+": "+LDV_listaPulsantiLong[a]));
		}
	}
	// accendo quello selezionato
	document.getElementById(cname).setAttribute("class", "LDV_acceso");
	document.getElementById("LdvInvia").style.display = "block";
}



